<%@ LANGUAGE="VBSCRIPT" %>
<%
'   Bluestem - University of Illinois WWW Identification Service
'
'   Bluestem Active Server Pages (ASP) VBScript Support
'   bluetest.asp - test Bluestem ASP support
'
'   Copyright 1996-1999 - Board of Trustees of the University of Illinois
'
'   Ed Kubaitis - ejk@uiuc.edu
'   Computing & Communications Services Office
'   University of Illinois - Urbana
%>

<!--#INCLUDE VIRTUAL="%ASPVirtDir%/bluestem.inc"-->

<%
'---Maximum idle time in seconds before re-authentication--------------
IdleMax = 5 * 60

'---Check if client already authenticated------------------------------
B = BluestemId()
B_id = B(0)
B_idle = B(1)
B_session = B(2)

'---Redirect to Bluestem ID server if not authenticated or idle too long-
If Len(B_id) = 0 Then
    Call BluestemLoginPrior(120)
ElseIf B_idle > IdleMax Then
    Call BluestemReLoginPrior(120)
End If

'---Process Logout Button----------------------------------------------
If Request.Form("logout") = "True" Then
    Call BluestemLogout()
End If

'---set Bluestem info for display--------------------------------------
t = Now()
logintime = DateAdd("s", -B_session, t)
lastactive = DateAdd("s", -B_idle, t)

idfull = BluestemIdFull(B_id)
idshort = BluestemIdShort(B_id)
I = BluestemIdParse(B_id)
user = i(0)
domain = i(1)
authmethod = i(2)
%>

<html>
<head>
<title>Bluestem ASP Test</title>
</head>
<body>

<center>
<a href=http://www.uiuc.edu/>
<img src=https://www-s4.uiuc.edu/images/bluestem1.gif border=none width=468 height=20></a><br>
<b><font size=+1>Bluestem Active Server Pages (ASP) Test</font></b><br>
<img src=https://www-s4.uiuc.edu/images/bluestem2.gif width=468 height=6><br>

<form method=post action=bluetest.asp>
<input type=submit value="Update Display">
</form>

<form method=post action=bluetest.asp>
<input type=hidden name=logout value="True">
<input type=submit value="Logout">
</form>

<b>ASP Application Variables</b>
<table border>
        <tr><th>Variable</th><th>Value</th></tr>
        <tr><td>BluestemVirtDir</td>
            <td><% = Application("BluestemVirtDir") %></td></tr>
        <tr><td>BluestemCache</td><td><% = Application("BluestemCache") %></td></tr>
        <tr><td>BluestemAspCache</td><td><% = Application("BluestemAspCache") %></td></tr>
</table>
<p>


<b>Bluestem Info</b>
<table border>
        <tr><th>Item</th><th>Value</th></tr>
        <tr><td>Logged In At</td><td><% = logintime %></td><tr>
        <tr><td>Last visit</td><td><% = lastactive %></td><tr>
        <tr><td>Seconds since login</td><td><% = B_session %></td><tr>
        <tr><td>Seconds since last visit</td><td><% = B_idle %></td><tr>
        <tr><td>ID</td><td><% = B_id %></td><tr>
        <tr><td>Short ID</td><td><% = idshort %></td><tr>
        <tr><td>Full ID</td><td><% = idfull %></td><tr>
        <tr><td>User</td><td><% = user %></td><tr>
        <tr><td>Domain</td><td><% = domain %></td><tr>
        <tr><td>AuthMethod</td><td><% = authmethod %></td><tr>
</table>
<p>


<b>HTTP Server Variables</b>
<table border>
<tr><th>Variable</th><th>Value</th></tr>
<%  For Each key in Request.ServerVariables %>
      <tr>
      <td><code><%  = key %></code></td>
      <td><code>
      <%
      if Request.ServerVariables(key) = "" Then
           Response.Write " " ' To force border around table cell
      else 
           Response.Write Request.ServerVariables(key)
      end if
      Response.Write "</code></td>"
      %>
      </tr>
<%  Next %>
</table>

</center>
</body>
</html>





