#!/usr/bin/perl
#
#   Bluestem - University of Illinois WWW Identification Service
#
#   lb_login.cgi - Bluestem login helper CGI
#

use strict;
use warnings;

use lib "/usr/local/bluestem-client/lib";
use Bluestem::CGIClient ();
use Apache::AuthTkt ();

my $cgi = CGI->new();
my $bsc = Bluestem::CGIClient->new(
	cgi => $cgi,
);
my $at = Apache::AuthTkt->new(
	secret => $bsc->{conf}{tkt_auth_secret} || $bsc->{conf}{server_key},
	digest_type => $bsc->{conf}{tkt_auth_digest} || 'MD5',
);
my $back = $cgi->param('back');
my $session = $bsc->get_session();
if( $session ) {
	# Set auth_tkt cookie and redirect
	my $tktcookie = $at->cookie(
		uid => $bsc->bluestem_id_short($session->{netid}),
		cookie_name => $bsc->{conf}{tkt_auth_cookie} || 'auth_tkt',
		#cookie_domain => $bsc->{conf}{client_cookiedomain},
	);
	print $cgi->redirect(
		-uri => $back,
		-cookie => [$tktcookie],
		-expires => '-1d',
	);
	exit 0;
}

my $server_name = $cgi->server_name();
my $server_port = ":".$cgi->server_port();
$server_port = '' if $server_port eq ":443";
my $query_string = "?".$cgi->query_string()
	if $cgi->param();
my $return_url = $cgi->url(-full=>1,-path=>1,-query=>1);
warn $return_url;

$bsc->handle_login(
	return_url => $return_url,
);

exit 0;
