#!/usr/bin/perl
#
#   Bluestem - University of Illinois WWW Identification Service
#
#   logout.cgi - Bluestem API Logout CGI
#

use strict;
use warnings;

use lib "/usr/local/bluestem-client/lib";
use Bluestem::CGIClient ();

my $cgi = CGI->new();
my $bsc = Bluestem::CGIClient->new(
	cgi => $cgi,
);

my $session;
my $logged_out;
my $return = $cgi->param('return') || $cgi->referer();
eval {
	my $session = $bsc->get_session();
	my $redirect = $cgi->param('redirect');
	if( $session ) {
		$bsc->handle_logout(
			template => "logout.html",
			redirect => $redirect || undef,
			return => $return,
		);
	} elsif( $redirect ) {
		print $cgi->redirect(
			-uri => $return,
			-expires => "-1d",
		);
	} else {
		$bsc->print_template("nologin.html",{
			logged_out => 0,
			return => $return || undef,
		});
	}
};
if( $@ ) {
	$bsc->print_template("error.html",{
		error => $@,
	});
	exit 0;
}
exit 0;
