#!/usr/bin/perl
#
#   Bluestem - University of Illinois WWW Identification Service
#
#   retrieve_auth.cgi - Bluestem login helper CGI
#

use strict;
use warnings;

use lib "/usr/local/bluestem-client/lib";
use Bluestem::CGIClient ();

my $cgi = CGI->new();
my $bsc = Bluestem::CGIClient->new(
	cgi => $cgi,
);

my $lb_prior = $cgi->param('lb_prior') || 60 * 30;
my $lb_msg = $cgi->param('lb_msg') || '';
$cgi->delete('lb_prior','lb_msg');

my $server_name = $cgi->server_name();
my $server_port = ":".$cgi->server_port();
$server_port = '' if $server_port eq ":443";
my $query_string = "?".$cgi->query_string()
	if $cgi->param();
my $return_url = "https://$server_name$server_port".$cgi->path_info().$query_string;

$bsc->handle_retrieve_auth(
	idhost => scalar $cgi->param('IdHost'),
	apphost => scalar $cgi->param('AppHost'),
	credentialkey => scalar $cgi->param('CredentialKey'),
);

exit 0;
